##########################################################
# Fedora Core Planner RPM SPEC file
##########################################################

##################################
# Package Info
##################################
Summary:		A graphical project management tool.
Name:		planner
Version:		0.12.1
Release:		2.1
URL:			http://planner.imendio.org
License:		GPL
Group:		Applications/Productivity
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	mrproject libmrproject libmrproject-devel

########################
Requires:	gtk2 >= 2.0.3
Requires:	libgnomeui >= 2.0.1
Requires:	popt >= 1.5
Requires:	libglade2 >= 2.0.0
Requires:	gnome-vfs2 >= 2.0.2
Requires:	libgnomeprintui22 >= 2.2.0
Requires:	libxslt >= 1.0
Requires: shared-mime-info
PreReq:	scrollkeeper >= 0.3.10


########################
BuildRequires: gtk2-devel >= 2.0.3
BuildRequires: libgnomeui-devel >= 2.0.1
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: gnome-vfs2-devel >= 2.0.2
BuildRequires: libgnomeprintui22-devel >= 2.2.0
BuildRequires: libxml2-devel >= 2.5.4
BuildRequires: libxslt-devel >= 1.0.27
BuildRequires: intltool autoconf automake17
BuildRequires: libtool gettext libgsf-devel
BuildRequires: gtk-doc pygtk2-devel
BuildRequires: scrollkeeper


##################################
# Sources
##################################

# http://ftp.gnome.org/pub/GNOME/sources/planner/0.11/planner-0.11.tar.bz2
Source0: %{name}-%{version}.tar.bz2

Patch0: planner-0.12-desktop-fix.patch


##################################
# Description
##################################
%description
Planner is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install Planner if you wish to manage schedules, allocate
resources, and track the progress of your projects.


##################################
# Prep/Setup
##################################
%prep
%setup0 -q

%patch0 -p1 -b .desktop-fix

##################################
# Build
##################################
%build

intltoolize --force
libtoolize --force
aclocal-1.7
automake-1.7
autoconf
%configure --enable-python --enable-gtk-doc --disable-dotnet

make


##################################
# Install
##################################
%install
rm -rf "%{buildroot}"

%makeinstall

#desktop-file-install --vendor imendio --delete-original       \
#  --dir %{buildroot}%{_datadir}/applications             \
#  --add-category X-Red-Hat-Base                             \
#  %{buildroot}%{_datadir}/applications/planner.desktop

/bin/rm -rf %{buildroot}/var/scrollkeeper
/bin/rm -f %{buildroot}/%{_libdir}/*.la
/bin/rm -f %{buildroot}/%{_libdir}/planner/file-modules/*.la
/bin/rm -f %{buildroot}/%{_libdir}/planner/storage-modules/*.la
/bin/rm -f %{buildroot}/%{_libdir}/planner/plugins/*.la
/bin/rm -f %{buildroot}/%{_libdir}/planner/views/*.la
/bin/rm -f %{buildroot}/%{_libdir}/python*/site-packages/gtk-2.0/*.la
/bin/rm -f %{buildroot}/%{_libdir}/planner/storage-modules/libstorage-sql*
/bin/rm -f %{buildroot}/%{_libdir}/planner/plugins/libsql-plugin*

/bin/rm -f %{buildroot}/%{_datadir}/mime/XMLnamespaces
/bin/rm -f %{buildroot}/%{_datadir}/mime/globs
/bin/rm -f %{buildroot}/%{_datadir}/mime/magic
/bin/rm -f %{buildroot}/%{_datadir}/mime/application/*
/bin/rm -f %{buildroot}/%{_datadir}/doc/planner/*.sql

%find_lang %{name}


##################################
# Post-install
##################################
%post
/sbin/ldconfig
scrollkeeper-update
if (update-mime-database -v &> /dev/null); then
	update-mime-database "%{_datadir}/mime" > /dev/null
fi


##################################
# Post-Uninstall
##################################
%postun
/sbin/ldconfig
scrollkeeper-update
if (update-mime-database -v &> /dev/null); then
	update-mime-database "%{_datadir}/mime" > /dev/null
fi


##################################
# Clean
##################################
%clean
rm -rf "$RPM_BUILD_ROOT"


##################################
# Files
##################################
%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/planner
%{_libdir}/planner
%{_libdir}/libplanner-1*
%{_libdir}/pkgconfig/*
%{_libdir}/python*/site-packages/gtk-2.0/*
%{_datadir}/planner
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gtk-doc/html/libplanner
%{_datadir}/gnome/help/planner/*
%{_datadir}/omf/planner/planner-C.omf
%{_datadir}/doc/planner/sample-*.planner
%{_includedir}/planner-1.0


##################################
# Changelog
##################################
%changelog
* Tue Nov 16 2004 Ray Strode <rstrode@redhat.com> 0.12.1-2.1
- rebuilt for rhel 4

* Fri Oct 22 2004 Dan Williams <dcbw@redhat.com> 0.12.1-2
- #rh136296# fix libxml2-devel BuildRequires

* Thu Sep 23 2004 Jonathan Blandford <jrb@redhat.com> 0.12.1-1
- new version

* Wed Sep 22 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig calls to post/postun

* Sun Sep 19 2004 Dan Williams <dcbw@redhat.com> 0.12-5
- Add BuildReq scrollkeeper again (#124184, #111145)
- Add Requires shared-mime-info for update-mime-database
- Fix up planner's .desktop file (#132566)

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.12-3
- #131285 proper find_lang usage

* Wed Aug 18 2004 Warren Togami <wtogami@redhat.com> 0.12-2
- BuildReq libtool, gettext, gtk-doc, libgsf-devel, pygtk2-devel

* Thu Aug  5 2004 Dan Williams <dcbw@redhat.com> 0.12-1
- Update to 0.12
- Sync specfile with Imendio specfile
- Add BuildRequires: scrollkeeper (RH #124184)
- Add obsoletes: libmrproject-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 8 2004 Dan Williams <dcbw@redhat.com> 0.11-1
- Initial Release of 0.11 RPMs
